SphereCMS archive.php SQL injection

spherecms-archive-sql-injection (56423) The risk level is classified as MediumMedium Risk

Description:

SphereCMS is vulnerable to SQL injection. A remote attacker could send specially-crafted SQL statements to the archive.php script using the view parameter, which could allow the attacker to view, add, modify or delete information in the back-end database.

*CVSS:

Base Score: 7.5
  Access Vector: Network
  Access Complexity: Low
  Authentication: None
  Confidentiality Impact: Partial
  Integrity Impact: Partial
  Availability Impact: Partial
 
Temporal Score: 7.1
  Exploitability: High
  Remediation Level: Unavailable
  Report Confidence: Uncorroborated

Consequences:

Data Manipulation

Remedy:

No remedy available as of September 1, 2014.

References:

  • Packetstorm Security Web Site: SphereCMS Blind SQL Injection Vulnerability.
  • XlentProjects Web site: SphereCMS.
  • BID-38309: XlentProjects SphereCMS 'archive.php' SQL Injection Vulnerability
  • CVE-2010-1078: SQL injection vulnerability in archive.php in XlentProjects SphereCMS 1.1 alpha allows remote attackers to execute arbitrary SQL commands via encoded null bytes (%00) in the view parameter, which bypasses a protection mechanism.
  • OSVDB ID: 63201: SphereCMS archive.php view Parameter SQL Injection

Platforms Affected:

  • XlentProjects SphereCMS 1.1 Alpha

Reported:

Feb 19, 2010

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page